Subject: Fluid: TranslateViewHelper does only work once
Description

The TranslateViewHelper does only work once. If you put more than one translate tag in your template only the first gets translated.

By looking at the code I think that it gets even worse. The TranslateViewHelper will only work once per HTTP request. That means
that only the first translate tag of the first loaded extension will get translated and the following translate tags won't.

The problem seems to be the initialization check. The TranslateViewHelper will not get initialized after the first instance and therefore
the member variable $this->LOCAL_LANG which holds the locallang information is empty.

I would suggest to create a LanguageRegistry (a Singleton) which holds the locallang information once per extension. Where should
something like this be put? extbase or fluid?

History
#1 - 2009-04-10 12:41 - Niels Pardon
- File 3068_fluid.patch added

#2 - 2009-04-10 12:41 - Niels Pardon
- File deleted (3068_fluid.patch)

#3 - 2009-04-10 12:42 - Niels Pardon
- Assigned To changed from Christopher Hlubek to Niels Pardon

#4 - 2009-04-10 12:43 - Niels Pardon
- File deleted (3068_fluid.patch)

#5 - 2009-04-10 12:44 - Niels Pardon
- File 3068_fluid.patch added

#6 - 2009-04-10 12:45 - Niels Pardon
- % Done changed from 0 to 100

#7 - 2009-04-10 12:46 - Niels Pardon
- Status changed from New to Resolved

#8 - 2009-10-21 17:54 - Bastian Waidelich
- Project changed from Extbase MVC Framework to TYPO3.Fluid
- Category deleted (432)

Files
3068_fluid.patch 7.3 kB 2009-04-10 Niels Pardon
